Skip to main content
PUT
/
api
/
v2
/
projects
/
{projectUuid}
/
defaults
Error
A valid request URL is required to generate request examples
{
  "status": "ok",
  "results": "<unknown>"
}

Path Parameters

projectUuid
string
required

Body

application/json

Project-wide default settings that can be overridden at explore or field level

additional_time_intervals
object

Extra time intervals appended to the built-in defaults for date/timestamp dimensions that do not declare their own time_intervals. Values may be standard granularities (e.g. hour) or custom_granularities keys.

column_totals
boolean

Default behavior for column totals in results tables. When false, the extra warehouse query that calculates column totals is not run by default for new queries. Charts that explicitly enable "Show column totals" still calculate them. Defaults to true if not specified.

case_sensitive
boolean

Default case sensitivity for string filters across the project. When false, all string filters will be case insensitive by default. Can be overridden at explore or field level. Defaults to true if not specified.

Response

Success

status
enum<string>
required
Available options:
ok
results
any